Vulnerabilities in Ruby on Rails